<xml> </xml>

btb-class |

# ImageLoadingProvider.LoadItemAsync Method

Perform single pass of thumbnail item loading on background.

protected abstract void LoadItemAsync(
BetterThumbnailBrowserItem item,
Size targetImageSize,
out Image image,
out Size maximumImageSize,
out ILoadingProviderData data
);

#### Parameters

item
  Item to perform loading on.
targetImageSize
  Target thumbnail image size.
image
  Thumbnail image loaded on background.
maximumImageSize
  Maximum possible thumbnail image size.
data
  User data from background loading.

#### See Also

ImageLoadingProvider Class | ComponentOwl.BetterThumbnailBrowser Namespace